summaryrefslogtreecommitdiff
path: root/src/cli/test_iban.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-08-24 22:29:30 +0200
committerChristian Grothoff <christian@grothoff.org>2021-08-24 22:29:30 +0200
commitf00d029affb0a1e27fb6c0d0aae279bc165c2bf4 (patch)
tree4ec79da819cdcd36781f7be010f57271aa44859f /src/cli/test_iban.sh
parent8276be2a2cece6365227c5b4e5aafd1f63b9a9fc (diff)
downloadanastasis-f00d029affb0a1e27fb6c0d0aae279bc165c2bf4.tar.gz
anastasis-f00d029affb0a1e27fb6c0d0aae279bc165c2bf4.tar.bz2
anastasis-f00d029affb0a1e27fb6c0d0aae279bc165c2bf4.zip
IBAN test passes
Diffstat (limited to 'src/cli/test_iban.sh')
-rwxr-xr-xsrc/cli/test_iban.sh11
1 files changed, 4 insertions, 7 deletions
diff --git a/src/cli/test_iban.sh b/src/cli/test_iban.sh
index f3f9f79..772b1c0 100755
--- a/src/cli/test_iban.sh
+++ b/src/cli/test_iban.sh
@@ -17,9 +17,6 @@ function exit_fail() {
# Cleanup to run whenever we exit
function cleanup()
{
- if test $? != 0 -o $? != 77; then
- echo "ERROR: see also nexus.log and sandbox.log"
- fi
for n in `jobs -p`
do
kill $n 2> /dev/null || true
@@ -82,7 +79,7 @@ function see_anastasis_transactions_via_facade() {
# $4 = bank account name local to Nexus, $5 = bank account name as known
# by Sandbox
function prepare_nexus_account() {
- echo -n Making bank connection $3
+ echo -n "Making bank connection $3 ..."
libeufin-cli connections new-ebics-connection \
--ebics-url="${SANDBOX_URL}ebicsweb" \
--host-id=$EBICS_HOST \
@@ -90,7 +87,7 @@ function prepare_nexus_account() {
--ebics-user-id=$1 \
$3 > /dev/null
echo " OK"
- echo -n Connecting $3 ..
+ echo -n "Connecting $3 ..."
libeufin-cli connections connect $3 > /dev/null
echo " OK"
echo -n "Importing Sandbox bank account ($5) to Nexus ($4) ..."
@@ -160,7 +157,7 @@ nexus_pid=$!
if ! curl -s --retry 5 --retry-connrefused $NEXUS_URL > /dev/null; then
exit_skip "Could not launch Nexus"
fi
-echo "OK"
+echo " OK"
echo -n "Starting Sandbox ..."
libeufin-sandbox serve &> sandbox.log &
@@ -287,7 +284,7 @@ echo " OK"
echo -n "Launching Anastasis service ..."
PREFIX="" #valgrind
-$PREFIX anastasis-httpd -c $CONF 2> anastasis-httpd_1.log &
+$PREFIX anastasis-httpd -c $CONF -L INFO 2> anastasis-httpd_1.log &
echo " OK"
echo -n "Waiting for Anastasis service ..."